// Fonts
//
// Font, line-height, and color for body text, headings, and more.
@mixin font-options($weight: 'normal')
  font-display: swap
  font-weight: $weight
  font-style: normal

@font-face
  font-family: 'Roboto'
  src: url('~@/assets/fonts/Roboto-Medium.eot')
  src: local('☺'), local('Roboto Medium'), local('Roboto-Medium'),
  url('~@/assets/fonts/Roboto-Medium.eot?#iefix') format('embedded-opentype'),
  url('~@/assets/fonts/Roboto-Medium.woff2') format('woff2'),
  url('~@/assets/fonts/Roboto-Medium.woff') format('woff'),
  url('~@/assets/fonts/Roboto-Medium.ttf') format('truetype'),
  url('~@/assets/fonts/Roboto-Medium.svg#Roboto-Medium') format('svg')
  @include font-options(500)



@font-face
  font-family: 'Roboto'
  src: url('~@/assets/fonts/Roboto-Bold.eot')
  src: local('☺'), local('Roboto Bold'), local('Roboto-Bold'),
  url('~@/assets/fonts/Roboto-Bold.eot?#iefix') format('embedded-opentype'),
  url('~@/assets/fonts/Roboto-Bold.woff2') format('woff2'),
  url('~@/assets/fonts/Roboto-Bold.woff') format('woff'),
  url('~@/assets/fonts/Roboto-Bold.ttf') format('truetype'),
  url('~@/assets/fonts/Roboto-Bold.svg#Roboto-Bold') format('svg')
  @include font-options(600)


@font-face
  font-family: 'Roboto'
  src: url('~@/assets/fonts/Roboto-Light.eot')
  src: local('☺'), local('Roboto Light'), local('Roboto-Light'),
  url('~@/assets/fonts/Roboto-Light.eot?#iefix') format('embedded-opentype'),
  url('~@/assets/fonts/Roboto-Light.woff2') format('woff2'),
  url('~@/assets/fonts/Roboto-Light.woff') format('woff'),
  url('~@/assets/fonts/Roboto-Light.ttf') format('truetype'),
  url('~@/assets/fonts/Roboto-Light.svg#Roboto-Light') format('svg')
  @include font-options(300)



@font-face
  font-family: 'Roboto'
  src: url('~@/assets/fonts/Roboto-Regular.eot')
  src: local('☺'), local('Roboto Regular'), local('Roboto-Regular'),
  url('~@/assets/fonts/Roboto-Regular.eot?#iefix') format('embedded-opentype'),
  url('~@/assets/fonts/Roboto-Regular.woff2') format('woff2'),
  url('~@/assets/fonts/Roboto-Regular.woff') format('woff'),
  url('~@/assets/fonts/Roboto-Regular.ttf') format('truetype'),
  url('~@/assets/fonts/Roboto-Regular.svg#Roboto-Regular') format('svg')
  @include font-options()

